Bug 4994 - net ads join succeeds but join does not seem valid for 15 mins or so
net ads join succeeds but join does not seem valid for 15 mins or so
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.26a
x86 Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 04:08 UTC by Rick King
Modified: 2009-06-11 18:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rick King 2007-09-26 04:08:36 UTC
I wonder if this isn't some AD syncronisation issue but I'm pretty sure I didn't see this with 3.0.23c. Issue also existed in 3.0.25.

We have password server = * in our config file but I have also tried setting it to one of our servers with no difference.

Example (note times):

[root@pc ~]# net ads join -U support -W domain
support's password: 
Using short domain name -- domain
Joined 'pc' to realm 'DOMAIN.COM'
[root@pc ~]# date
Wed Sep 26 04:07:13 EDT 2007
[root@pc ~]# net ads testjoin -P
[2007/09/26 04:08:36, 0] libads/kerberos.c:ads_kinit_password(228)
  kerberos_kinit_password pc$@DOMAIN.COM failed: Client not found in Kerberos database
[2007/09/26 04:08:37, 0] libads/kerberos.c:ads_kinit_password(228)
  kerberos_kinit_password pc$@DOMAIN.COM failed: Client not found in Kerberos database
Join to domain is not valid: Improperly formed account name
[root@pc ~]# net ads testjoin -P
[2007/09/26 04:12:29, 0] libads/kerberos.c:ads_kinit_password(228)
  kerberos_kinit_password pc$@DOMAIN.COM failed: Client not found in Kerberos database
[2007/09/26 04:12:30, 0] libads/kerberos.c:ads_kinit_password(228)
  kerberos_kinit_password pc$@DOMAIN.COM failed: Client not found in Kerberos database
Join to domain is not valid: Improperly formed account name
[root@pc ~]# net ads testjoin -P
Join is OK
[root@pc ~]# date
Wed Sep 26 04:23:50 EDT 2007
Comment 1 Guenther Deschner 2007-09-27 17:29:12 UTC
Is this really still the case in 3.0.26a? I'm pretty sure this got fixed. Can you please verify?

Thanks.
Comment 2 Rick King 2007-09-28 01:31:40 UTC
I saw it before in early 3.0.25 and I too thought it got fixed by a later version of 3.0.25 (though I'm not totally sure), however, after installing 3.0.26a it's definitely reappeared. I'm seeing it on multiple machines.
Comment 3 Guenther Deschner 2009-06-11 18:20:44 UTC
This got fixed for all branches, please reopen if still an issue.